using System.Collections.Generic;
using Intrepid.Integration.Persistence.DTOs;

namespace Intrepid.Integration.Persistence
{
    public interface IDataStorage
    {
        int Order { get; }
        bool IsDataValid(out List<string> errors);
        void MarshalData(GameSlotDTO gameSlot);
    }
}